Gio::DBus::InterfaceInfo Class Referencefinal
D-Bus API

Stores information about a D-Bus interface. More...

`#include <giomm/dbusintrospection.h>`

## Public Member Functions

void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GDBusInterfaceInfo* | gobj ()
| Provides access to the underlying C instance. More...
const GDBusInterfaceInfo* | gobj () const
| Provides access to the underlying C instance. More...
GDBusInterfaceInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| InterfaceInfo ()=delete
| InterfaceInfo (const InterfaceInfo&)=delete
InterfaceInfo& | operator= (const InterfaceInfo&)=delete
Glib::RefPtr< MethodInfo > | lookup_method (const Glib::ustring& name)
| Looks up information about a method. More...
Glib::RefPtr< const MethodInfo > | lookup_method (const Glib::ustring& name) const
| Looks up information about a method. More...
Glib::RefPtr< SignalInfo > | lookup_signal (const Glib::ustring& name)
| Looks up information about a signal. More...
Glib::RefPtr< const SignalInfo > | lookup_signal (const Glib::ustring& name) const
| Looks up information about a signal. More...
Glib::RefPtr< PropertyInfo > | lookup_property (const Glib::ustring& name)
| Looks up information about a property. More...
Glib::RefPtr< const PropertyInfo > | lookup_property (const Glib::ustring& name) const
| Looks up information about a property. More...
void | cache_build ()
| Builds a lookup-cache to speed up g_dbus_interface_info_lookup_method(), g_dbus_interface_info_lookup_signal() and g_dbus_interface_info_lookup_property(). More...
void | cache_release ()
| Decrements the usage count for the cache for info built by g_dbus_interface_info_cache_build() (if any) and frees the resources used by the cache if the usage count drops to zero. More...

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions

void | operator delete (void*, std::size_t)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gio::DBus::InterfaceInfo > | wrap (GDBusInterfaceInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Stores information about a D-Bus interface.

Since glibmm 2.28:

## Constructor & Destructor Documentation

Gio::DBus::InterfaceInfo::InterfaceInfo | ( |  | ) |

delete

Gio::DBus::InterfaceInfo::InterfaceInfo | ( | const InterfaceInfo& |  | ) |

delete

## Member Function Documentation

void Gio::DBus::InterfaceInfo::cache_build | ( |  | ) |

Builds a lookup-cache to speed up g_dbus_interface_info_lookup_method(), g_dbus_interface_info_lookup_signal() and g_dbus_interface_info_lookup_property().

If this has already been called with info, the existing cache is used and its use count is increased.

Note that info cannot be modified until g_dbus_interface_info_cache_release() is called.

Since glibmm 2.44:

void Gio::DBus::InterfaceInfo::cache_release | ( |  | ) |

Decrements the usage count for the cache for info built by g_dbus_interface_info_cache_build() (if any) and frees the resources used by the cache if the usage count drops to zero.

Since glibmm 2.44:

static GType Gio::DBus::InterfaceInfo::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GDBusInterfaceInfo* Gio::DBus::InterfaceInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GDBusInterfaceInfo* Gio::DBus::InterfaceInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GDBusInterfaceInfo* Gio::DBus::InterfaceInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::RefPtr<MethodInfo> Gio::DBus::InterfaceInfo::lookup_method | ( | const Glib::ustring& | name | ) |

Looks up information about a method.

The cost of this function is O(n) in number of methods unless g_dbus_interface_info_cache_build() has been used on info.

Since glibmm 2.26:

Parameters

  name | A D-Bus method name (typically in CamelCase).

Returns
  A DBusMethodInfo or `nullptr` if not found. Do not free, it is owned by info.

Glib::RefPtr<const MethodInfo> Gio::DBus::InterfaceInfo::lookup_method | ( | const Glib::ustring& | name | ) | const

Looks up information about a method.

The cost of this function is O(n) in number of methods unless g_dbus_interface_info_cache_build() has been used on info.

Since glibmm 2.26:

Parameters

  name | A D-Bus method name (typically in CamelCase).

Returns
  A DBusMethodInfo or `nullptr` if not found. Do not free, it is owned by info.

Glib::RefPtr<PropertyInfo> Gio::DBus::InterfaceInfo::lookup_property | ( | const Glib::ustring& | name | ) |

Looks up information about a property.

The cost of this function is O(n) in number of properties unless g_dbus_interface_info_cache_build() has been used on info.

Since glibmm 2.26:

Parameters

  name | A D-Bus property name (typically in CamelCase).

Returns
  A DBusPropertyInfo or `nullptr` if not found. Do not free, it is owned by info.

Glib::RefPtr<const PropertyInfo> Gio::DBus::InterfaceInfo::lookup_property | ( | const Glib::ustring& | name | ) | const

Looks up information about a property.

The cost of this function is O(n) in number of properties unless g_dbus_interface_info_cache_build() has been used on info.

Since glibmm 2.26:

Parameters

  name | A D-Bus property name (typically in CamelCase).

Returns
  A DBusPropertyInfo or `nullptr` if not found. Do not free, it is owned by info.

Glib::RefPtr<SignalInfo> Gio::DBus::InterfaceInfo::lookup_signal | ( | const Glib::ustring& | name | ) |

Looks up information about a signal.

The cost of this function is O(n) in number of signals unless g_dbus_interface_info_cache_build() has been used on info.

Since glibmm 2.26:

Parameters

  name | A D-Bus signal name (typically in CamelCase).

Returns
  A DBusSignalInfo or `nullptr` if not found. Do not free, it is owned by info.

Glib::RefPtr<const SignalInfo> Gio::DBus::InterfaceInfo::lookup_signal | ( | const Glib::ustring& | name | ) | const

Looks up information about a signal.

The cost of this function is O(n) in number of signals unless g_dbus_interface_info_cache_build() has been used on info.

Since glibmm 2.26:

Parameters

  name | A D-Bus signal name (typically in CamelCase).

Returns
  A DBusSignalInfo or `nullptr` if not found. Do not free, it is owned by info.

void Gio::DBus::InterfaceInfo::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |

protected

InterfaceInfo& Gio::DBus::InterfaceInfo::operator= | ( | const InterfaceInfo& |  | ) |

delete

void Gio::DBus::InterfaceInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::DBus::InterfaceInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBus::InterfaceInfo > wrap | ( | GDBusInterfaceInfo * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.